Cannot save duplicated layer back to GeoPackage

2017-05-21 07:14 AM - Eron Lloyd

Status: Closed

Priority: Normal

Assignee:

Category: Data Provider

Affected QGIS version:2.18.7 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: invalid

Crashes QGIS or corrupts data:No Copied to github as #: 24490

Description

When I duplicate a layer in a GeoPackage, I cannot save that layer back to the same GeoPackage. Instead, I get an error message stating

"Export to vector file failed. Error: Cannot overwrite a OGR layer in place." However, if I save the duplicated layer to another GeoPackage,

and then save it back into the original one, it works. The issue consistently occurs each time.

History

#1 - 2017-05-21 10:11 AM - Giovanni Manghi

- Operating System deleted (OS X)

- Status changed from Open to Feedback

To me sounds like is expected. The duplicate layer is not a different datasource from the original one, is exactly the same, just with a another name in the

layer tree.

#2 - 2017-09-25 04:43 PM - Giovanni Manghi

- Resolution set to invalid

- Status changed from Feedback to Closed

Closing for lack of feedback, please reopen if necessary.
